2018-09-20 15:48 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000017mercuryBugpublic2015-11-11 19:00
Reporterwangp 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version15.11Fixed in Version 
Summary0000017: no error for unknown types in interface if defined in implementation
DescriptionThe compiler does not issue an error for unknown types in the interface if the type is later defined in the implementation.

This may be the same bug as 0000011.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000329resolvedjuliensf Uncaught Mercury exception: 
has duplicate 0000091resolvedjuliensf compiler throws exception in hlc.gc 
+Relationships

-Notes

~0000866

zs (developer)

Fix committed 2015 nov 11.
+Notes

-Issue History
Date Modified Username Field Change
2007-10-11 12:18 wangp New Issue
2007-10-11 12:18 wangp File Added: not_abstract.m
2014-05-13 15:33 juliensf Relationship added has duplicate 0000329
2015-10-31 20:42 juliensf Relationship added has duplicate 0000091
2015-10-31 20:45 juliensf Tag Attached: 15.11
2015-10-31 20:47 juliensf Tag Detached: 15.11
2015-10-31 20:47 juliensf Target Version => 15.11
2015-11-02 13:12 zs Assigned To => zs
2015-11-02 13:12 zs Status new => assigned
2015-11-11 19:00 zs Note Added: 0000866
2015-11-11 19:00 zs Status assigned => resolved
2015-11-11 19:00 zs Resolution open => fixed
+Issue History